<div class="modal fade" tabindex="-1" role="dialog" id="modalCenter">
  <div class="modal-lg modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button id="modalClose" class="close" type="button" data-dismiss="modal" aria-label="Close">
          <svg class="icon">
            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
          </svg>
        </button>
      </div>
      <div class="modal-title mx-4">
        <h5 id="modalTitle"></h5>
      </div>
      <div class="modal-body">
        <div id="modalId" class="d-none"></div>
        <div id="modalStatus" class="d-none"></div>
        <div class="row mt-3 {% if not calendar.allowOverlaps %} d-none {% endif %}">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-calendar"></use>
            </svg>
          </div>
          <div class="col-10 select-wrapper">
            <label for="modalOpeningHour">{{ 'meetings.labels.opening_hour' | trans }}</label>
            <select id="modalOpeningHour">
              {% for opening_hour in calendar.openingHours %}
                <option value="{{opening_hour.id}}">{{opening_hour.name}}</option>
              {% endfor %}
              {% if not calendar.allowOverlaps %}
                <option value="" selected>{{ "meetings.modal.all" | trans() }}</option>
              {% endif %}
            </select>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-clock"></use>
            </svg>
          </div>
          <div class="col-4">
            <input id="modalDate" type="date">
          </div>
          <div class="col-1"></div>
          <div class="col-auto">
            <input type="text" id="modalSlot" list="slots" class="custom-select custom-select-sm"
                   onclick="this.value = ''" placeholder="{{ "meetings.labels.select_slot" | trans() }}">
            <datalist id="slots"></datalist>
          </div>
        </div>

        <div id="no_slots_edit_alert" class="row mt-3">
          <div class="col-1"></div>
          <div class="col-10">
            {% if not calendar.allowOverlaps %}
              <small class="text-danger">{{ 'meetings.error.no_slots_available' | trans }}</small>
            {% else %}
              <small class="text-danger">{{ 'meetings.error.no_slots_available_for_opening_hor' | trans }}</small>
            {% endif %}
          </div>
        </div>
        <div id="edit_alert" class="row mt-3">
          <div class="col-1"></div>
          <div class="col-10">
            <small><b>{{ "meetings.modal.warning" | trans }}</b>: {{ "meetings.modal.notification_alert_confirm" | trans }}</small>
          </div>
        </div>
        <br>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-inbox"></use>
            </svg>
          </div>
          <div class="col-10">
            <textarea style="border: none" id="modalReason" placeholder="{{ 'meetings.labels.backoffice_reason' | trans }}"></textarea>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-note"></use>
            </svg>
          </div>
          <div class="col-10">
            <textarea style="border: none" id="modalDescription" placeholder="{{ 'meetings.labels.backoffice_user_message' | trans }}"></textarea>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-map-marker-circle"></use>
            </svg>
          </div>
          <div class="col-10">
            <div id="modalLocation"></div>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-link"></use>
            </svg>
          </div>
          <div class="col-10">
            <input type="url" id="modalVideoconferenceLink" placeholder="{{ "meetings.labels.videoconference_link" | trans() }}">
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-telephone"></use>
            </svg>
          </div>
          <div class="col-6">
            <input type="tel" id="modalPhone" class="col-10" placeholder="{{ "meetings.labels.phone_number" | trans() }}">
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-mail"></use>
            </svg>
          </div>
          <div class="col-6">
            <input type="email" id="modalEmail" class="col-10" placeholder="{{ "meetings.labels.email" | trans() }}">
          </div>
        </div>
        <div id="modalReschedule" class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-warning-circle"></use>
            </svg>
          </div>
          <div class="col-10" id="modalRescheduleText"></div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-comment"></use>
            </svg>
          </div>
          <div class="col-10">
            <p class="mb-3 small">{{ 'meetings.modal.motivation_outcome_helper' | trans }}</p>
            <textarea style="border: none" id="modalMotivationOutcome" ></textarea>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-flag"></use>
            </svg>
          </div>
          <div class="col-10 select-wrapper">
            <p class="small">{{ 'meetings.modal.locale_email_helper' | trans }}</p>
            <label for="modalLocale" class="sr-only">{{ 'meetings.modal.locale_email_helper' | trans }}</label>
            <select id="modalLocale" class="bootstrap-select-wrapper" >
              <option value="">{{ 'choose_options' | trans }}</option>
              {% if locales|length > 0 %}
              {% for locale in locales %}
                <option value="{{ locale }}">{{ locale }}</option>
              {% endfor %}
              {% endif %}

            </select>
          </div>
        </div>
        <div class="row mt-4">
          <div class="col-1">
            <svg class="icon">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-tool"></use>
            </svg>
          </div>
          <div class="col-10">
            <p id="modalStatusHelper" class="mb-3 small">{{ 'meetings.modal.status_change_helper' | trans }}</p>
            <button id="modalApprove" data-url='{{ path("meetings_api_patch", {'id': 'meeting_id'}) }}'
                    class="btn btn-success btn-sm mr-3 modal-edit" type="button" data-status="1" data-confirm="{{ 'meetings.modal.confirm_edit.status_1' | trans }}">
            {{ "meetings.modal.confirm" | trans() }} <svg class="icon icon-sm icon-white"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check"></use></svg>
            </button>
            <button id="modalRefuse" data-url='{{ path("meetings_api_patch", {'id': 'meeting_id'}) }}'
                    class="btn btn-danger btn-sm mr-3 modal-edit" type="button" data-status="2" data-confirm="{{ 'meetings.modal.confirm_edit.status_2' | trans }}">
              {{ "meetings.modal.refuse" | trans() }} <svg class="icon icon-sm icon-white"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use></svg>
            </button>
            <button id="modalComplete" data-url='{{ path("meetings_api_patch", {'id': 'meeting_id'}) }}'
                    class="btn btn-success btn-sm mr-3 modal-edit" type="button" data-status="4" data-confirm="{{ 'meetings.modal.confirm_edit.status_4' | trans }}">
              {{ "meetings.modal.done" | trans() }} <svg class="icon icon-sm icon-white"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check"></use></svg>
            </button>
            <button id="modalMissed" data-url='{{ path("meetings_api_patch", {'id': 'meeting_id'}) }}'
                    class="btn btn-danger btn-sm mr-3 modal-edit" type="button" data-status="3" data-confirm="{{ 'meetings.modal.confirm_edit.status_3' | trans }}">
              {{ "meetings.modal.absent" | trans() }} <svg class="icon icon-sm icon-white"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use></svg>
            </button>
            <button id="modalCancel" data-url='{{ path("meetings_api_patch", {'id': 'meeting_id'}) }}'
                    class="btn btn-warning btn-sm mr-3 modal-edit" type="button" data-status="5" data-confirm="{{ 'meetings.modal.confirm_edit.status_5' | trans }}">
              {{ "meetings.modal.cancel" | trans() }} <svg class="icon icon-sm icon-white"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-delete"></use></svg>
            </button>
          </div>
        </div>
      </div>

      <div class="modal-footer my-3 d-flex justify-content-between" >
        <p id="modalError" class="text-danger"></p>
        <button id="modalSave" data-url='{{ path("meetings_api_patch", {'id': 'meeting_id'}) }}'
                class="btn btn-primary btn-sm modal-edit" type="button"
                data-confirm="{{ 'meetings.modal.confirm_edit.save' | trans}}">{{ "meetings.modal.save" | trans }}</button>
      </div>
    </div>
  </div>
</div>
